Package twisted :: Package protocols :: Module oscar :: Class ChatService

[show private | hide private]
[frames | no frames]

## Class ChatService

    BaseProtocol --+
                   |
            Protocol --+
                       |
         OscarConnection --+
                           |
                   SNACBased --+
                               |
                    OSCARService --+
                                   |
                                  ChatService

Method Summary
| `__init__(self, bos, cookie, d)`
| ``clientReady`(self)` called when the client is ready to be online (inherited from `SNACBased`)
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `OSCARService`)
| ``connectionMade`(self)` Called when a connection is made. (inherited from `OscarConnection`)
| ``dataReceived`(self, data)` Called whenever data is received. (inherited from `OscarConnection`)
| ``disconnect`(self)` send the disconnect flap, and sever the connection (inherited from `OscarConnection`)
| `leaveChat(self)`
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| `oscar_(self, data)` (inherited from `SNACBased`)
| `oscar_01_03(self, snac)` (inherited from `SNACBased`)
| `oscar_01_07(self, snac)`
| ``oscar_01_0A`(self, snac)` change of rate information. (inherited from `SNACBased`)
| ``oscar_01_18`(self, snac)` host versions, in the same format as we sent (inherited from `SNACBased`)
| `oscar_0E_02(self, snac)`
| `oscar_0E_03(self, snac)`
| `oscar_0E_04(self, snac)`
| `oscar_0E_06(self, snac)`
| `oscar_Data(self, data)` (inherited from `SNACBased`)
| `oscar_unknown(self, snac)` (inherited from `SNACBased`)
| `readFlap(self)` (inherited from `OscarConnection`)
| `sendFLAP(self, data, channel)` (inherited from `OscarConnection`)
| `sendKeepAlive(self)` (inherited from `OscarConnection`)
| `sendMessage(self, message)`
| ``sendSNAC`(self, fam, sub, data, flags)` send a snac and wait for the response by returning a Deferred. (inherited from `SNACBased`)
| ``sendSNACnr`(self, fam, sub, data, flags)` send a snac, but don't bother adding a deferred, we don't care. (inherited from `SNACBased`)
| `setKeepAlive(self, t)` (inherited from `OscarConnection`)
| `stopKeepAlive(self)` (inherited from `OscarConnection`)
| `_ebDeferredError(self, error, fam, sub, data)` (inherited from `SNACBased`)

Class Variable Summary
`dictionary` | `snacFamilies`

Class Variable Details

### snacFamilies

  Type:
    `dictionary`
  Value:

        {14: (1, 16, 1435), 1: (3, 16, 1435)}

Generated by Epydoc 1.1 on Sat Feb 15 21:19:14 2003 | http://epydoc.sf.net